#!/usr/bin/env python3

from jp4_composite import JP4_C
#import cv2
import numpy as np
import sys
from PIL import Image, ImageOps
import os

try:
  filename = sys.argv[1]
except IndexError:
  filename = "test.jp4"

img = JP4_C(filename)
#print(img.exif.toString())
#print(img.exif.data['Model'])
img.deblock()
img.demosaic_bilinear()
img.saturation()
subs = img.extract_subframes()

for i in range(len(subs)):
  #subs[i].save(os.path.join("../res",img.basename+"_"+str(img.subnames[i])+".png"))
  subs[i].save(os.path.join("../res",img.basename+"_"+str(img.subnames[i])+".jpeg"))
